iotoms Docs

List accounting sync history

GET
/api/v1/integrations/accounting/connectors/{provider}/sync-log

Returns past sync runs for one accounting connector, paginated with 0-based page and size (default 20).

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

provider*string

Accounting connector slug, for example zoho-books (from List accounting connectors).

Query Parameters

page?integer

Page number, starting at 0. See Paging.

Formatint32
Default0
size?integer

Number of records per page.

Formatint32
Default20

Header Parameters

Response Body

OK

*/*
  1. response
status*string

Outcome of the request: SUCCESS when it worked; errors return an error status with the reason in message.

message*string

Short human-readable message describing the outcome.

data?

One page of past sync runs for the connector.

Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/integrations/accounting/connectors/string/sync-log'
Example Response
{  "status": "string",  "message": "string",  "data": {    "totalElements": 0,    "totalPages": 0,    "first": true,    "last": true,    "size": 0,    "content": [      {        "transactionId": "string",        "cartId": "string",        "businessDate": "2019-08-24",        "grandTotal": 0,        "paymentStatus": "string",        "channel": "string",        "createdAt": "string"      }    ],    "number": 0,    "sort": [      {        "direction": "string",        "nullHandling": "string",        "ascending": true,        "property": "string",        "ignoreCase": true      }    ],    "numberOfElements": 0,    "pageable": {      "offset": 0,      "sort": [        {          "direction": "string",          "nullHandling": "string",          "ascending": true,          "property": "string",          "ignoreCase": true        }      ],      "paged": true,      "pageNumber": 0,      "pageSize": 0,      "unpaged": true    },    "empty": true  }}